<?php

namespace Litecms\Notification\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NotificationTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Notification\Models\Notification $notification)
    {
        return [
            'id'                => $notification->getRouteKey(),
            'key'               => [
                'public'    => $notification->getPublicKey(),
                'route'     => $notification->getRouteKey(),
            ], 
            'title'             => $notification->title,
            'description'       => $notification->description,
            'status'            => $notification->status,
            'url'               => [
                'public'    => trans_url('notification/'.$notification->getPublicKey()),
                'user'      => guard_url('notification/notification/'.$notification->getRouteKey()),
            ], 
            'status'            => trans('app.'.$notification->status),
            'created_at'        => format_date($notification->created_at),
            'updated_at'        => format_date($notification->updated_at),
        ];
    }
}